Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoProfileStrip Class Reference
Profile

## Description

Represents a profile strip tool.

Inheritance diagram for GoProfileStrip:

## Public Member Functions
kStatus | GoProfileStrip_AddMeasurement (GoProfileStrip tool, GoMeasurementType type, GoMeasurement *measurement)
| Adds an additional profile strip tool measurement. More...
GoProfileStripBaseType | GoProfileStrip_BaseType (GoProfileStrip tool)
| Gets the strip base type. More...
kStatus | GoProfileStrip_EnableTilt (GoProfileStrip tool, kBool enable)
| Enables or disables tilt. More...
k8u | GoProfileStrip_LeftEdge (GoProfileStrip tool)
| Gets the left edge value. More...
k64f | GoProfileStrip_MaxVoidWidth (GoProfileStrip tool)
| Gets the maximum void width. More...
GoMeasurement | GoProfileStrip_MeasurementAt (GoProfileStrip tool, kSize index)
| Returns a measurement object at the given index. More...
kSize | GoProfileStrip_MeasurementCount (GoProfileStrip tool)
| Returns the measurement count for the given tool. More...
k64f | GoProfileStrip_MinHeight (GoProfileStrip tool)
| Gets the minimum height. More...
k64f | GoProfileStrip_MinWidth (GoProfileStrip tool)
| Gets the minimum width. More...
GoProfileRegion | GoProfileStrip_Region (GoProfileStrip tool)
| Gets the profile strip tool region. More...
kStatus | GoProfileStrip_RemoveMeasurement (GoProfileStrip tool, kSize index)
| Removes a measurement from the tool at the given index. More...
k8u | GoProfileStrip_RightEdge (GoProfileStrip tool)
| Gets the right edge value. More...
kStatus | GoProfileStrip_SetBaseType (GoProfileStrip tool, GoProfileStripBaseType type)
| Sets the strip base type. More...
kStatus | GoProfileStrip_SetLeftEdge (GoProfileStrip tool, k8u leftEdge)
| Sets the left edge. More...
kStatus | GoProfileStrip_SetMaxVoidWidth (GoProfileStrip tool, k64f value)
| Sets the maximum void width. More...
kStatus | GoProfileStrip_SetMinHeight (GoProfileStrip tool, k64f value)
| Sets the transition height. More...
kStatus | GoProfileStrip_SetMinWidth (GoProfileStrip tool, k64f value)
| Sets the minimum width. More...
kStatus | GoProfileStrip_SetRightEdge (GoProfileStrip tool, k8u rightEdge)
| Sets the right edge. More...
kStatus | GoProfileStrip_SetTransitionWidth (GoProfileStrip tool, k64f value)
| Sets the transition width. More...
kBool | GoProfileStrip_TiltEnabled (GoProfileStrip tool)
| Gets the tilt enabled state. More...
k64f | GoProfileStrip_TransitionWidth (GoProfileStrip tool)
| Gets the transition width. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

kStatus GoProfileStrip_AddMeasurement | ( | GoProfileStrip | tool,
|  | GoMeasurementType | type,
|  | GoMeasurement * | measurement
| ) |  |

Adds an additional profile strip tool measurement.

Parameters

  tool | GoProfileStrip object.
  type | The measurement type to add. It must be a valid profile strip tool type.
  measurement | A reference to the new GoMeasurement handle. Can be kNULL if you do not wish to do anything immediate with the new measurement.

Returns
  Operation status.

GoProfileStripBaseType GoProfileStrip_BaseType | ( | GoProfileStrip | tool | ) |

Gets the strip base type.

Parameters

  tool | GoProfileStrip object.

Returns
  The strip base type.

kStatus GoProfileStrip_EnableTilt | ( | GoProfileStrip | tool,
|  | kBool | enable
| ) |  |

Enables or disables tilt.

Parameters

  tool | GoProfileStrip object.
  enable | kTRUE to enable tilt, kFALSE to disable it.

Returns
  Operation status.

k8u GoProfileStrip_LeftEdge | ( | GoProfileStrip | tool | ) |

Gets the left edge value.

Parameters

  tool | GoProfileStrip object.

Returns
  The left edge value.

k64f GoProfileStrip_MaxVoidWidth | ( | GoProfileStrip | tool | ) |

Gets the maximum void width.

Parameters

  tool | GoProfileStrip object.

Returns
  The maximum void width (in mm).

GoMeasurement GoProfileStrip_MeasurementAt | ( | GoProfileStrip | tool,
|  | kSize | index
| ) |  |

Returns a measurement object at the given index.

Parameters

  tool | GoProfileStrip object.
  index | The index with which to return a measurement object.

Returns
  A profile strip tool measurement or kNULL if the index is invalid.

kSize GoProfileStrip_MeasurementCount | ( | GoProfileStrip | tool | ) |

Returns the measurement count for the given tool.

Parameters

  tool | GoProfileStrip object.

Returns
  Tool measurement count.

k64f GoProfileStrip_MinHeight | ( | GoProfileStrip | tool | ) |

Gets the minimum height.

Parameters

  tool | GoProfileStrip object.

Returns
  The minimum height (in mm).

k64f GoProfileStrip_MinWidth | ( | GoProfileStrip | tool | ) |

Gets the minimum width.

Parameters

  tool | GoProfileStrip object.

Returns
  The minimum width (in mm).

GoProfileRegion GoProfileStrip_Region | ( | GoProfileStrip | tool | ) |

Gets the profile strip tool region.

Parameters

  tool | GoProfileStrip object.

Returns
  A GoProfileRegion object.

kStatus GoProfileStrip_RemoveMeasurement | ( | GoProfileStrip | tool,
|  | kSize | index
| ) |  |

Removes a measurement from the tool at the given index.

Parameters

  tool | GoProfileStrip object.
  index | The index with which to remove a measurement.

Returns
  Operation status.

k8u GoProfileStrip_RightEdge | ( | GoProfileStrip | tool | ) |

Gets the right edge value.

Parameters

  tool | GoProfileStrip object.

Returns
  The right edge value.

kStatus GoProfileStrip_SetBaseType | ( | GoProfileStrip | tool,
|  | GoProfileStripBaseType | type
| ) |  |

Sets the strip base type.

Parameters

  tool | GoProfileStrip object.
  type | The strip base type.

Returns
  Operation status.

kStatus GoProfileStrip_SetLeftEdge | ( | GoProfileStrip | tool,
|  | k8u | leftEdge
| ) |  |

Sets the left edge.

Parameters

  tool | GoProfileStrip object.
  leftEdge | Left edge value.

Returns
  Operation status.

kStatus GoProfileStrip_SetMaxVoidWidth | ( | GoProfileStrip | tool,
|  | k64f | value
| ) |  |

Sets the maximum void width.

Parameters

  tool | GoProfileStrip object.
  value | The maximum void width (in mm).

Returns
  Operation status.

kStatus GoProfileStrip_SetMinHeight | ( | GoProfileStrip | tool,
|  | k64f | value
| ) |  |

Sets the transition height.

Parameters

  tool | GoProfileStrip object.
  value | The minimum height (in mm).

Returns
  Operation status.

kStatus GoProfileStrip_SetMinWidth | ( | GoProfileStrip | tool,
|  | k64f | value
| ) |  |

Sets the minimum width.

Parameters

  tool | GoProfileStrip object.
  value | The minimum width (in mm).

Returns
  Operation status.

kStatus GoProfileStrip_SetRightEdge | ( | GoProfileStrip | tool,
|  | k8u | rightEdge
| ) |  |

Sets the right edge.

Parameters

  tool | GoProfileStrip object.
  rightEdge | Right edge value.

Returns
  Operation status.

kStatus GoProfileStrip_SetTransitionWidth | ( | GoProfileStrip | tool,
|  | k64f | value
| ) |  |

Sets the transition width.

Parameters

  tool | GoProfileStrip object.
  value | The transition width (in mm).

Returns
  Operation status.

kBool GoProfileStrip_TiltEnabled | ( | GoProfileStrip | tool | ) |

Gets the tilt enabled state.

Parameters

  tool | GoProfileStrip object.

Returns
  kTRUE if tilt is enabled, kFALSE otherwise.

k64f GoProfileStrip_TransitionWidth | ( | GoProfileStrip | tool | ) |

Gets the transition width.

Parameters

  tool | GoProfileStrip object.

Returns
  The transition width (in mm).

kStatus GoProfileTool_SetSource | ( | GoProfileTool | tool,
|  | GoDataSource | source
| ) |  |
| inherited

Sets the data source.

Parameters

  tool | GoProfileTool object.
  source | GoDataSource object.

Returns
  Operation status.

kStatus GoProfileTool_SetXAnchor | ( | GoProfileTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the X-anchoring source.

Parameters

  tool | GoProfileTool object.
  id | The measurement ID of a valid X-anchoring source.

Returns
  Operation status.

kStatus GoProfileTool_SetZAnchor | ( | GoProfileTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the Z-anchoring source.

Parameters

  tool | GoProfileTool object.
  id | The measurement ID of a valid Z-anchoring source.

Returns
  Operation status.

GoDataSource GoProfileTool_Source | ( | GoProfileTool | tool | ) |
| inherited

Gets the data source.

Parameters

  tool | GoProfileTool object.

Returns
  The current profile tool data source.

GoDataSource GoProfileTool_SourceOptionAt | ( | GoProfileTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the data source option at the given index.

Parameters

  tool | GoProfileTool object.
  index | The index of the option list to access.

Returns
  The profile tool data source option at the given index, or k32U_MAX if an invalid index is given.

kSize GoProfileTool_SourceOptionCount | ( | GoProfileTool | tool | ) |
| inherited

Gets the data source option list count.

Parameters

  tool | GoProfileTool object.

Returns
  The current profile tool data source option list count.

k32s GoProfileTool_XAnchor | ( | GoProfileTool | tool | ) |
| inherited

Gets the current X-anchoring source.

Parameters

  tool | GoProfileTool object.

Returns
  The X-anchoring source or -1 if no source is currently set.

kBool GoProfileTool_XAnchorEnabled | ( | GoProfileTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring.

Parameters

  tool | GoProfileTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoProfileTool_XAnchorOptionAt | ( | GoProfileTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the X-anchoring option at the given index.

Parameters

  tool | GoProfileTool object.
  index | The index of the option list to access.

Returns
  The X-anchoring option at the given index or k32U_MAX if invalid.

kSize GoProfileTool_XAnchorOptionCount | ( | GoProfileTool | tool | ) |
| inherited

Gets the X-anchoring option list count.

Parameters

  tool | GoProfileTool object.

Returns
  The X-anchoring option list count.

k32s GoProfileTool_ZAnchor | ( | GoProfileTool | tool | ) |
| inherited

Gets the current Z-anchoring source.

Parameters

  tool | GoProfileTool object.

Returns
  The Z-anchoring source or -1 if no source is currently set.

kBool GoProfileTool_ZAnchorEnabled | ( | GoProfileTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring.

Parameters

  tool | GoProfileTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoProfileTool_ZAnchorOptionAt | ( | GoProfileTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the Z-anchoring option at the given index.

Parameters

  tool | GoProfileTool object.
  index | The index of the option list to access.

Returns
  The Z-anchoring option at the given index or k32U_MAX if invalid.

kSize GoProfileTool_ZAnchorOptionCount | ( | GoProfileTool | tool | ) |
| inherited

Gets the Z-anchoring option list count.

Parameters

  tool | GoProfileTool object.

Returns
  The X-anchoring option list count.

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |
| inherited

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |
| inherited

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |
| inherited

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |
| inherited

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |
| inherited

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |
| inherited

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h